igeo.io

## Class IRhino3dm.Interval

- java.lang.Object
- - igeo.io.IRhino3dm.Interval

- Enclosing class:
    IRhino3dm

      public static class IRhino3dm.Interval
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `v1`
    `double` | `v2`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Interval()`
    `Interval(double v1, double v2)`
    `Interval(IRhino3dm.Interval interval)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(IRhino3dm.Interval interval)`
    `boolean` | `includes(double t)`
    `boolean` | `includes(double t, boolean testOpenInterval)`
    `boolean` | `includes(IRhino3dm.Interval interval)`
    `boolean` | `includes(IRhino3dm.Interval interval, boolean properSubset)`
    `void` | `intersection(IRhino3dm.Interval interval)`
    `boolean` | `isIncreasing()`
    `boolean` | `isValid()`
    `double` | `length()`
    `double` | `max()`
    `double` | `min()`
    `double` | `normalizedParameterAt(double t)`
    `double` | `parameterAt(double t)`
    `void` | `reverse()`
    `void` | `set(double v1, double v2)`
    `void` | `set(IRhino3dm.Interval i)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### v1

          public double v1

    - #### v2

          public double v2

  - ### Constructor Detail

    - #### Interval

          public Interval()

    - #### Interval

          public Interval(double v1,
                          double v2)

    - #### Interval

          public Interval(IRhino3dm.Interval interval)

  - ### Method Detail

    - #### isIncreasing

          public boolean isIncreasing()

    - #### isValid

          public boolean isValid()

    - #### includes

          public boolean includes(double t)

    - #### includes

          public boolean includes(double t,
                                  boolean testOpenInterval)

    - #### includes

          public boolean includes(IRhino3dm.Interval interval)

    - #### includes

          public boolean includes(IRhino3dm.Interval interval,
                                  boolean properSubset)

    - #### set

          public void set(double v1,
                          double v2)

    - #### set

          public void set(IRhino3dm.Interval i)

    - #### equals

          public boolean equals(IRhino3dm.Interval interval)

    - #### reverse

          public void reverse()

    - #### normalizedParameterAt

          public double normalizedParameterAt(double t)

    - #### parameterAt

          public double parameterAt(double t)

    - #### min

          public double min()

    - #### max

          public double max()

    - #### length

          public double length()

    - #### intersection

          public void intersection(IRhino3dm.Interval interval)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`